# Uses of Class
org.apache.sling.feature.extension.apiregions.api.ApiRegions

Packages that use ApiRegions
Package
Description
org.apache.sling.feature.extension.apiregions.analyser
org.apache.sling.feature.extension.apiregions.api
org.apache.sling.feature.extension.apiregions.launcher

## Uses of ApiRegions in org.apache.sling.feature.extension.apiregions.analyser

Methods in org.apache.sling.feature.extension.apiregions.analyser with parameters of type ApiRegions
Modifier and Type
Method
Description
`protected abstract void`
AbstractApiRegionsAnalyserTask.`execute(ApiRegions apiRegions, org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx)`
`protected void`
CheckApiRegions.`execute(ApiRegions apiRegions, org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx)`
`protected void`
CheckApiRegionsCrossFeatureDups.`execute(ApiRegions apiRegions, org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx)`
`protected void`
CheckApiRegionsDependencies.`execute(ApiRegions apiRegions, org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx)`
`protected void`
CheckApiRegionsDuplicates.`execute(ApiRegions apiRegions, org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx)`
`final void`
CheckApiRegionsOrder.`execute(ApiRegions apiRegions, org.apache.sling.feature.analyser.task.AnalyserTaskContext ctx)`

## Uses of ApiRegions in org.apache.sling.feature.extension.apiregions.api

Methods in org.apache.sling.feature.extension.apiregions.api that return ApiRegions
Modifier and Type
Method
Description
`static ApiRegions`
ApiRegions.`getApiRegions(org.apache.sling.feature.Extension ext)`
Get the api regions from the extension.
`static ApiRegions`
ApiRegions.`getApiRegions(org.apache.sling.feature.Feature feature)`
Get the api regions from the feature - if it exists.
`static ApiRegions`
ApiRegions.`parse(jakarta.json.JsonArray json)`
Parse a JSON array into an api regions object
`static ApiRegions`
ApiRegions.`parse(String json)`
Parse a JSON array into an api regions object

## Uses of ApiRegions in org.apache.sling.feature.extension.apiregions.launcher

Methods in org.apache.sling.feature.extension.apiregions.launcher with parameters of type ApiRegions
Modifier and Type
Method
Description
`static Properties`
LauncherProperties.`getFeatureIDtoRegionsMap(ApiRegions regions)`
`static Properties`
LauncherProperties.`getRegionNametoPackagesMap(ApiRegions regions)`